<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * Alert ADSL Traffic to Customers
 *
 * @package    ADSL
 * @category   Tasks
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Task_Adsl_Trafficalert extends Minion_Task {
	protected $_options = array(
		'verbose'=>FALSE,
	);

	protected function _execute(array $params) {
		$date = strtotime('first day of last month');
		$c = array();

		// @todo Pick up services that are no longer active, but were inactive < 30 days ago.
		foreach (ORM::factory('Service')->list_byplugin('ADSL') as $so) {
			if (Minion_CLI::options('verbose'))
				echo $so->service_name()."\n";

			if (! $data=$so->plugin()->traffic_report())
				continue;

			$et = Email_Template::instance('adsl_traffic_notice');

			// Get our variable data
			$et->to = array('account'=>array($so->account_id));
			$et->variables = $so->plugin()->template_variables($et->variables(),$data);
			$et->module = $so->mid();
			$et->module_data = $so->id;

			$et->send();

			array_push($c,$so->id);
		}

		return sprintf('%s alerts sent (%s)',count($c),join('|',$c));
	}
}
?>
